App\Library\Amazon\Classes\InkToner:
    xml_root_name: InkToner
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\InkToner\VariationDataAType
        connectivityTechnology:
            expose: true
            access_type: public_method
            serialized_name: ConnectivityTechnology
            accessor:
                getter: getConnectivityTechnology
                setter: setConnectivityTechnology
            type: string
        inkColor:
            expose: true
            access_type: public_method
            serialized_name: InkColor
            accessor:
                getter: getInkColor
                setter: setInkColor
            type: string
        maxPrintspeedBlackWhite:
            expose: true
            access_type: public_method
            serialized_name: MaxPrintspeedBlackWhite
            accessor:
                getter: getMaxPrintspeedBlackWhite
                setter: setMaxPrintspeedBlackWhite
            type: integer
        maxPrintspeedColor:
            expose: true
            access_type: public_method
            serialized_name: MaxPrintspeedColor
            accessor:
                getter: getMaxPrintspeedColor
                setter: setMaxPrintspeedColor
            type: integer
        printerOutput:
            expose: true
            access_type: public_method
            serialized_name: PrinterOutput
            accessor:
                getter: getPrinterOutput
                setter: setPrinterOutput
            type: string
        printerTechnology:
            expose: true
            access_type: public_method
            serialized_name: PrinterTechnology
            accessor:
                getter: getPrinterTechnology
                setter: setPrinterTechnology
            type: string
        compatibleDevices:
            expose: true
            access_type: public_method
            serialized_name: CompatibleDevices
            accessor:
                getter: getCompatibleDevices
                setter: setCompatibleDevices
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        annualEnergyConsumption:
            expose: true
            access_type: public_method
            serialized_name: AnnualEnergyConsumption
            accessor:
                getter: getAnnualEnergyConsumption
                setter: setAnnualEnergyConsumption
            type: App\Library\Amazon\Classes\EnergyConsumptionDimensionType
        powerConsumption:
            expose: true
            access_type: public_method
            serialized_name: PowerConsumption
            accessor:
                getter: getPowerConsumption
                setter: setPowerConsumption
            type: App\Library\Amazon\Classes\PowerDimensionType
        eUEnergyLabelEfficiencyClass:
            expose: true
            access_type: public_method
            serialized_name: EUEnergyLabelEfficiencyClass
            accessor:
                getter: getEUEnergyLabelEfficiencyClass
                setter: setEUEnergyLabelEfficiencyClass
            type: string
        displayType:
            expose: true
            access_type: public_method
            serialized_name: DisplayType
            accessor:
                getter: getDisplayType
                setter: setDisplayType
            type: string
        displaySize:
            expose: true
            access_type: public_method
            serialized_name: DisplaySize
            accessor:
                getter: getDisplaySize
                setter: setDisplaySize
            type: App\Library\Amazon\Classes\LengthDimensionType
        imageBrightness:
            expose: true
            access_type: public_method
            serialized_name: ImageBrightness
            accessor:
                getter: getImageBrightness
                setter: setImageBrightness
            type: string
        imageConstrastRatio:
            expose: true
            access_type: public_method
            serialized_name: ImageConstrastRatio
            accessor:
                getter: getImageConstrastRatio
                setter: setImageConstrastRatio
            type: string
        displayResolutionMaximum:
            expose: true
            access_type: public_method
            serialized_name: DisplayResolutionMaximum
            accessor:
                getter: getDisplayResolutionMaximum
                setter: setDisplayResolutionMaximum
            type: string
        itemShape:
            expose: true
            access_type: public_method
            serialized_name: ItemShape
            accessor:
                getter: getItemShape
                setter: setItemShape
            type: string
        paintType:
            expose: true
            access_type: public_method
            serialized_name: PaintType
            accessor:
                getter: getPaintType
                setter: setPaintType
            type: string
        mfgMinimum:
            expose: true
            access_type: public_method
            serialized_name: MfgMinimum
            accessor:
                getter: getMfgMinimum
                setter: setMfgMinimum
            type: App\Library\Amazon\Classes\AgeRecommendedDimensionType
        mfgMaximum:
            expose: true
            access_type: public_method
            serialized_name: MfgMaximum
            accessor:
                getter: getMfgMaximum
                setter: setMfgMaximum
            type: App\Library\Amazon\Classes\AgeRecommendedDimensionType
        lockType:
            expose: true
            access_type: public_method
            serialized_name: LockType
            accessor:
                getter: getLockType
                setter: setLockType
            type: string
        itemDensity:
            expose: true
            access_type: public_method
            serialized_name: ItemDensity
            accessor:
                getter: getItemDensity
                setter: setItemDensity
            type: App\Library\Amazon\Classes\DensityDimensionType
        compatibilityOptions:
            expose: true
            access_type: public_method
            serialized_name: CompatibilityOptions
            accessor:
                getter: getCompatibilityOptions
                setter: setCompatibilityOptions
            type: string
        itemTypeName:
            expose: true
            access_type: public_method
            serialized_name: ItemTypeName
            accessor:
                getter: getItemTypeName
                setter: setItemTypeName
            type: string
        occasion:
            expose: true
            access_type: public_method
            serialized_name: Occasion
            accessor:
                getter: getOccasion
                setter: setOccasion
            type: string
